## GocEllipse

GocEllipse — Ellipse.

## Properties

gdouble | height | Read / Write
gdouble | rotation | Read / Write
gdouble | width | Read / Write
gdouble | x | Read / Write
gdouble | y | Read / Write

## Types and Values

| GocEllipse
typedef | GocEllipseClass

## Object Hierarchy

        GObject
        ╰── GocItem
            ╰── GocStyledItem
                ╰── GocEllipse

## Implemented Interfaces

GocEllipse implements GOStyledObject.

## Description

GocEllipse implements ellipse drawing in the canvas.

## Functions

## Types and Values

### GocEllipse

    typedef struct _GocEllipse GocEllipse;

### GocEllipseClass

    typedef GocStyledItemClass GocEllipseClass;

## Property Details

### The `“height”` property

      “height”                   gdouble

The ellipse height.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“rotation”` property

      “rotation”                 gdouble

The rotation around top left position.

Flags: Read / Write

Allowed values: [0,6.28319]

Default value: 0

### The `“width”` property

      “width”                    gdouble

The ellipse width.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“x”` property

      “x”                        gdouble

The ellipse left position (or right position in RTL mode).

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        gdouble

The ellipse top position.

Flags: Read / Write

Default value: 0